## linux-backports-modules-2.6.28 2.6.28-11.12

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

=== updates/compat-wireless-2.6/net/wireless/Makefile ===
obj-$(CONFIG_CFG80211) += cfg80211.o
obj-$(CONFIG_LIB80211) += lib80211.o
obj-$(CONFIG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CONFIG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CONFIG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o mlme.o compat.o
cfg80211-$(CONFIG_WIRELESS_EXT) += wext-compat.o

ccflags-y += -D__CHECK_ENDIAN__

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-11.12) jaunty; urgency=low

  [Tim Gardner]

  * Update wireless-testing/compat-wireless to master-2009-03-24
    -LP: #329975

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 24 Mar 2009 17:40:33 -0600

linux-backports-modules-2.6.28 (2.6.28-11.11) jaunty; urgency=low

  [Tim Gardner]

  * Update compat-wireless/wireless-testing to master-2009-03-17
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Mar 2009 06:46:46 -0600

linux-backports-modules-2.6.28 (2.6.28-10.10) jaunty; urgency=low

  [Tim Gardner]

  * Updated compat-wireless/wireless-testing to master-2009-03-11
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 16 Mar 2009 13:18:35 +0000

linux-backports-modules-2.6.28 (2.6.28-9.9) jaunty; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Mar 2009 10:35:43 -0600

linux-backports-modules-2.6.28 (2.6.28-8.8) jaunty; urgency=low

  [Tim Gardner]

  * Fixed the MUNGE script generation of net/wireless/Makefile. Upstream
    added a new source file and I missed it.
    - LP: #337711:

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Mar 2009 10:01:53 -0700

linux-backports-modules-2.6.28 (2.6.28-8.7) jaunty; urgency=low

  [Stefan Bader]

  * scripts: Fix typo in prepare-compat-wireless.sh
    - LP: #332576

  [Tim Gardner]

  * Update to master-2009-03-03
  * Accomodate request_module() calls when munging module names.

 --  Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Mar 2009 01:05:15 +0000

linux-backports-modules-2.6.28 (2.6.28-8.6) jaunty; urgency=low

  [Tim Gardner]

  * Added LPIA arch support
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 17 Feb 2009 02:44:25 +0000

linux-backports-modules-2.6.28 (2.6.28-7.5) jaunty; urgency=low

  [Tim Gardner]

  * Update to master-2009-02-09
  * Convert 'git-log' to 'git log'

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 09 Feb 2009 17:48:22 -0700

linux-backports-modules-2.6.28 (2.6.28-7.4) jaunty; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Sun, 08 Feb 2009 19:32:21 -0700

linux-backports-modules-2.6.28 (2.6.28-6.3) jaunty; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 26 Jan 2009 20:48:45 -0700

linux-backports-modules-2.6.28 (2.6.28-5.2) jaunty; urgency=low

  [Tim Gardner]

  * Fix double munging
  * Update to compat-wireless master-2009-01-13
  * Use b44.c from 2.6.28

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 20 Jan 2009 13:27:00 -0700

linux-backports-modules-2.6.28 (2.6.28-4.1) jaunty; urgency=low

  * First Jaunty release.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Jan 2009 09:44:28 -0700

linux-backports-modules-2.6.27 (2.6.27-11.11) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated compat-wireless to master-2008-12-23
    - LP: #293217

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Jan 2009 08:41:59 -0700

linux-backports-modules-2.6.27 (2.6.27-11.10) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated to master-2008-12-17
    - LP: #293217
  * Fix firmware naming issues caused by upstream wireless-testing.
  * Updated iwl 3945 firmware to iwlwifi-3945-ucode-15.28.2.8.

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Dec 2008 08:38:37 -0700

linux-backports-modules-2.6.27 (2.6.27-11.9) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Update to wireless-testing master-2008-11-24
    - LP: #293217
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Dec 2008 16:52:10 -0700

linux-backports-modules-2.6.27 (2.6.27-10.8) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Updated to wireless-testing master-2008-11-17
    - LP: #293217
  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Nov 2008 08:52:25 -0700

linux-backports-modules-2.6.27 (2.6.27-8.7) intrepid-proposed; urgency=low

  * Bump ABI

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Nov 2008 13:27:41 -0700

linux-backports-modules-2.6.27 (2.6.27-7.6) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Really update to wireless-testing master-2008-10-31
    Somehow either git failed me, or it was pilot error,
    but the last upload wasn't master-2008-10-31. This also
    includes the b44 driver.
    -LP: #293217

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 04 Nov 2008 14:17:29 -0700

linux-backports-modules-2.6.27 (2.6.27-7.5) intrepid-proposed; urgency=low

  [Tim Gardner]

  * Fix search for iwl5000 firmware file name.
  * Update compat-wireless to wireless-testing master-2008-10-31
  * reverted wireless-testing "ath5k: Update interrupt masking code"
    which causes problems with ath5k.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Nov 2008 10:58:09 -0700

linux-backports-modules-2.6.27 (2.6.27-7.4) intrepid; urgency=low

  [Tim Gardner]

  * Removed bogus linux-headers-lum dependency.
    - LP: #285898

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Oct 2008 10:39:19 -0600

linux-backports-modules-2.6.27 (2.6.27-7.3) intrepid; urgency=low

  [Tim Gardner]

  * Added iwlwifi firmware
  * Added the upstream compat-wireless-2.6 tree.
  * Updated compat-wireless to wireless-testing tag master-2008-10-14
  * Set CONFIG_WIRELESS_OLD_REGULATORY=y by default.

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 20 Oct 2008 09:54:03 -0600

linux-backports-modules-2.6.27 (2.6.27-7.2) intrepid; urgency=low

  * ABI bump

 --  Tim Gardner <tim.gardner@canonical.com>  Fri, 10 Oct 2008 09:59:30 -0600

linux-backports-modules-2.6.27 (2.6.27-6.1) intrepid; urgency=low

  * Initial empty package

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 09 Sep 2008 08:26:34 -0600

=== debian/control ===
Source: linux-backports-modules-2.6.28
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.28-11-generic [i386 amd64], linux-headers-2.6.28-11-lpia [lpia], linux-headers-2.6.28-11-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lbm.git

Package: linux-headers-lbm-2.6.28-11
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.28
 This package provides linux-ubuntu-modules header files for version 2.6.28, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-11/debian.README.gz for details

Package: linux-backports-modules-2.6.28-11-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-11-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-11-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-11/debian.README.gz for details

Package: linux-backports-modules-2.6.28-11-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-11-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-11-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-11/debian.README.gz for details

Package: linux-backports-modules-2.6.28-11-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-11-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-11-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-11-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-11/debian.README.gz for details

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -rf debian/linux-backports-modules*
	rm -rf debian/linux-headers*
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	if [ -d debian/d-i/firmware ]; then \
		install -d $(udebdir)/firmware/$(arch); \
		cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/; \
	fi
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

## linux-backports-modules-2.6.28 2.6.28-14.16netbook01

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-14.16netbook01) netbook-jaunty; urgency=low

  [ Andy Whitcroft ]

  * branch created based on Ubuntu-2.6.28-14.16
  * rebase tree control scripts
  * rebase-branch: fix timestamp detection
  * rebase-branch: ensure we default to an invalid package
  * printchanges -- rebase tree does not have stable tags use changelog
  * compat-wireless: add support for a patches directory
  * SAUCE: ath5k: enable LED support for a new Acer device.
    - LP: #412039

  [ Stefan Bader ]

  * SAUCE: Do not munge crypto module names for libipw
    - LP: #404336

 -- Andy Whitcroft <apw@canonical.com>  Wed, 12 Aug 2009 14:58:13 +0100

linux-backports-modules-2.6.28 (2.6.28-0.0) netbook-jaunty; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>  Tue, 09 Sep 2008 08:26:34 -0600

=== debian/control ===
Source: linux-backports-modules-2.6.28
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.28-14-generic [i386 amd64], linux-headers-2.6.28-14-lpia [lpia], linux-headers-2.6.28-14-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lbm.git

Package: linux-headers-lbm-2.6.28-14
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.28
 This package provides linux-ubuntu-modules header files for version 2.6.28, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-14/debian.README.gz for details

Package: linux-backports-modules-2.6.28-14-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-14-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-14-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-14-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-14/debian.README.gz for details

Package: linux-backports-modules-2.6.28-14-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-14-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-14-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-14-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-14/debian.README.gz for details

Package: linux-backports-modules-2.6.28-14-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-14-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-14-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-14-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-14/debian.README.gz for details

## linux-backports-modules-2.6.28 2.6.28-19.21

=== updates/compat-wireless-2.6/Makefile ===
export KMODDIR?=       updates
KMODDIR_ARG:=   "INSTALL_MOD_DIR=$(KMODDIR)"
ifneq ($(origin $(KLIB)), undefined)
KMODPATH_ARG:=  "INSTALL_MOD_PATH=$(KLIB)"
else
export KLIB:=          /lib/modules/$(shell uname -r)
endif
export KLIB_BUILD ?=	$(KLIB)/build
# Sometimes not available in the path
MODPROBE := /sbin/modprobe
MADWIFI=$(shell $(MODPROBE) -l ath_pci)
OLD_IWL=$(shell $(MODPROBE) -l iwl4965)

ifneq ($(KERNELRELEASE),)

include $(M)/$(COMPAT_CONFIG)

NOSTDINC_FLAGS := -I$(M)/include/ -include $(M)/include/net/compat.h $(CFLAGS)

obj-y := net/wireless/ net/mac80211/
ifeq ($(ONLY_CORE),)
obj-$(CONFIG_B44) += drivers/net/b44.o
obj-y += drivers/ssb/ \
	drivers/misc/eeprom/ \
	drivers/net/usb/ \
	drivers/net/wireless/
endif

else

export PWD :=	$(shell pwd)

# These exported as they are used by the scripts
# to check config and compat autoconf
export COMPAT_CONFIG=config.mk
export CONFIG_CHECK=.$(COMPAT_CONFIG)_md5sum.txt
export COMPAT_AUTOCONF=include/linux/compat_autoconf.h
export CREL=$(shell cat $(PWD)/compat-release)
export CREL_PRE:=.compat_autoconf_
export CREL_CHECK:=$(CREL_PRE)$(CREL)

include $(PWD)/$(COMPAT_CONFIG)

all: modules

modules: $(CREL_CHECK)
	@./scripts/check_config.sh
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) modules
	@touch $@

# With the above and this we make sure we generate a new compat autoconf per
# new relase of compat-wireless-2.6 OR when the user updates the 
# $(COMPAT_CONFIG) file
$(CREL_CHECK):
	@# Force to regenerate compat autoconf
	@rm -f $(CONFIG_CHECK)
	@./scripts/check_config.sh
	@touch $@
	@md5sum $(COMPAT_CONFIG) > $(CONFIG_CHECK)

install: uninstall modules
	$(MAKE) -C $(KLIB_BUILD) M=$(PWD) $(KMODDIR_ARG) $(KMODPATH_ARG) \
		modules_install
	@# All the scripts we can use
	@mkdir -p /usr/lib/compat-wireless/
	@install scripts/modlib.sh	/usr/lib/compat-wireless/
	@install scripts/madwifi-unload	/usr/sbin/
	@# This is to allow switching between drivers without blacklisting
	@install scripts/athenable	/usr/sbin/
	@install scripts/b43enable	/usr/sbin/
	@install scripts/iwl-enable	/usr/sbin/
	@install scripts/athload	/usr/sbin/
	@install scripts/b43load	/usr/sbin/
	@install scripts/iwl-load	/usr/sbin/
	@if [ ! -z $(MADWIFI) ]; then \
		echo ;\
		echo -n "Note: madwifi detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo athenable madwifi"  ;\
		echo ;\
		echo Running athenable ath5k...;\
		/usr/sbin/athenable ath5k ;\
	fi
	@if [ ! -z $(OLD_IWL) ]; then \
		echo ;\
		echo -n "Note: iwl4965 detected, we're going to disable it. "  ;\
		echo "If you would like to enable it later you can run:"  ;\
		echo "    sudo iwl-load iwl4965"  ;\
		echo ;\
		echo Running iwl-enable iwlagn...;\
		/usr/sbin/iwl-enable iwlagn ;\
	fi
	@# If on distributions like Mandriva which like to
	@# compress their modules this will find out and do
	@# it for you. Reason is some old version of modutils
	@# won't know mac80211.ko should be used instead of
	@# mac80211.ko.gz
	@./scripts/compress_modules
	@/sbin/depmod -ae
	@echo
	@echo "Currently detected wireless subsystem modules:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l lib80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l zd1211rw
	@echo 
	@echo Now run:
	@echo 
	@echo make unload
	@echo
	@echo And then load the wireless module you need. If unsure reboot.
	@echo

uninstall:
	@# New location, matches upstream
	@rm -rf $(KLIB)/$(KMODDIR)/net/mac80211/
	@rm -rf $(KLIB)/$(KMODDIR)/net/wireless/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/ssb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/usb/
	@rm -rf $(KLIB)/$(KMODDIR)/drivers/net/wireless/
	@# Lets only remove the stuff we are sure we are providing
	@# on the misc directory.
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/misc/eeprom_93cx6.ko*
	@rm -f $(KLIB)/$(KMODDIR)/drivers/net/b44.ko*
	@/sbin/depmod -ae
	@echo
	@echo "Your old wireless subsystem modules were left intact:"
	@echo 
	@$(MODPROBE) -l mac80211
	@$(MODPROBE) -l cfg80211
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l adm8211
	@$(MODPROBE) -l at76c50x-usb
	@$(MODPROBE) -l ath5k
	@$(MODPROBE) -l ath9k
	@$(MODPROBE) -l b43
	@$(MODPROBE) -l b43legacy
	@$(MODPROBE) -l b44
	@$(MODPROBE) -l ssb
	@$(MODPROBE) -l rc80211_simple
	@$(MODPROBE) -l iwlcore
	@$(MODPROBE) -l iwl3945
	@$(MODPROBE) -l iwlagn
	@$(MODPROBE) -l ipw2100
	@$(MODPROBE) -l ipw2200
	@$(MODPROBE) -l libipw
	@$(MODPROBE) -l lib80211
	@$(MODPROBE) -l lib80211_crypt
	@$(MODPROBE) -l libertas_cs
	@$(MODPROBE) -l libertas_tf
	@$(MODPROBE) -l libertas_tf_usb
	@$(MODPROBE) -l ub8xxx
	@$(MODPROBE) -l p54pci
	@$(MODPROBE) -l p54usb
	@$(MODPROBE) -l rt2400pci
	@$(MODPROBE) -l rt2500pci
	@$(MODPROBE) -l rt2500usb
	@$(MODPROBE) -l rt61pci
	@$(MODPROBE) -l rt73usb
	@$(MODPROBE) -l usbnet
	@$(MODPROBE) -l cdc_ether
	@$(MODPROBE) -l rndis_host
	@$(MODPROBE) -l rndis_wlan
	@$(MODPROBE) -l rtl8180
	@$(MODPROBE) -l rtl8187
	@$(MODPROBE) -l zd1211rw
	@
	@echo 

clean:
	@if [ -d net -a -d $(KLIB_BUILD) ]; then \
		$(MAKE) -C $(KLIB_BUILD) M=$(PWD) clean ;\
	fi
	@rm -f $(CREL_PRE)*
unload:
	@./scripts/unload.sh

load: unload
	@./scripts/load.sh

.PHONY: all clean install uninstall unload load

endif

clean-files += Module.symvers modules modules.order $(CREL_CHECK) $(CONFIG_CHECK)

=== updates/lenovo-sl-laptop/Makefile ===
include $(src)/../.config

obj-$(CONFIG_LENOVO_SL_LAPTOP) += lenovo-sl-laptop.o

=== updates/compat-wireless-2.6/drivers/net/wireless/Makefile ===
#
# Makefile for the Linux Wireless network device drivers.
#

obj-$(CONFIG_IPW2100) += ipw2x00/
obj-$(CONFIG_IPW2200) += ipw2x00/

obj-$(CONFIG_AT76C50X_USB)      += at76c50x-usb.o

obj-$(CONFIG_B43)		+= b43/
obj-$(CONFIG_B43LEGACY)		+= b43legacy/
obj-$(CONFIG_ZD1211RW)		+= zd1211rw/
obj-$(CONFIG_RTL8180)		+= rtl818x/
obj-$(CONFIG_RTL8187)		+= rtl818x/


obj-$(CONFIG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CONFIG_LIBERTAS)		+= libertas/

obj-$(CONFIG_LIBERTAS_THINFIRM)	+= libertas_tf/

obj-$(CONFIG_ADM8211)	+= adm8211.o

obj-$(CONFIG_MWL8K)	+= mwl8k.o

obj-$(CONFIG_IWLWIFI)	+= iwlwifi/
obj-$(CONFIG_RT2X00)	+= rt2x00/

obj-$(CONFIG_P54_COMMON)	+= p54/

obj-$(CONFIG_ATH5K)	+= ath5k/
obj-$(CONFIG_ATH9K)	+= ath9k/
obj-$(CONFIG_AR9170_USB)	+= ar9170/

obj-$(CONFIG_MAC80211_HWSIM)	+= mac80211_hwsim.o

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-19.21) jaunty-security; urgency=low

  [ Stefan Bader ]

  * Bump ABI to -19 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 May 2010 11:28:31 +0200

linux-backports-modules-2.6.28 (2.6.28-18.20) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -18 for security release

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Wed, 03 Feb 2010 18:02:29 -0800

linux-backports-modules-2.6.28 (2.6.28-17.19) jaunty-security; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI to -17 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 13 Oct 2009 23:11:21 +0200

linux-backports-modules-2.6.28 (2.6.28-16.18) jaunty-security; urgency=low

  Bump ABI to -16 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 13:08:36 -0700

linux-backports-modules-2.6.28 (2.6.28-15.17) jaunty-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI to 15 for proposed release

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 28 Jul 2009 16:26:21 +0000

linux-backports-modules-2.6.28 (2.6.28-14.16) jaunty-security; urgency=low

  [Stefan Bader]

  * Bump ABI to 14 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 24 Jul 2009 17:07:36 +0200

linux-backports-modules-2.6.28 (2.6.28-13.14) jaunty-proposed; urgency=low

  [ Ike Panhc ]

  * Add driver for Lenovo SL Thinkpads
    - LP: #351586
  * SAUCE: Add dmi pattern for Lenovo SL laptop
    - LP: #351586

  [ Stefan Bader ]

  * Add lenovo-sl-laptop in backport package
    - LP: #351586
  * Bump ABI to -13 for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 11 May 2009 17:26:22 +0200

linux-backports-modules-2.6.28 (2.6.28-12.13) jaunty-proposed; urgency=low

  [Stefan Bader]

  * Bump ABI for proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 30 Apr 2009 19:09:23 +0200

=== debian/control ===
Source: linux-backports-modules-2.6.28
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.28-19-generic [i386 amd64], linux-headers-2.6.28-19-lpia [lpia], linux-headers-2.6.28-19-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lbm.git

Package: linux-headers-lbm-2.6.28-19
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.28
 This package provides linux-ubuntu-modules header files for version 2.6.28, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-19/debian.README.gz for details

Package: linux-backports-modules-2.6.28-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-19-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-19/debian.README.gz for details

Package: linux-backports-modules-2.6.28-19-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-19-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-19-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-19/debian.README.gz for details

Package: linux-backports-modules-2.6.28-19-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-19-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-19-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-19-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-19/debian.README.gz for details

## linux-backports-modules-2.6.28 2.6.28-101.49

=== debian/changelog ===
linux-backports-modules-2.6.28 (2.6.28-101.49) netbook-jaunty; urgency=low

  [ Steve Conklin ]

  * Bump ABI for new kernel

 --  Steve Conklin <sconklin@ubuntu.com>  Tue, 27 Oct 2009 19:13:43 +0000

linux-backports-modules-2.6.28 (2.6.28-100.48) netbook-jaunty; urgency=low

  [ Steve Conklin ]

  * Bump ABI for new kernel

 --  Steve Conklin <sconklin@ubuntu.com>  Fri, 23 Oct 2009 20:52:58 +0000

linux-backports-modules-2.6.28 (2.6.28-15.17netbook01) netbook-jaunty; urgency=low

  [ Andy Whitcroft ]

  * rebase to 2.6.28-15.17

  [ Ubuntu: 2.6.28-15.17 ]

  * Bump ABI to 15 for proposed release

 -- Andy Whitcroft <apw@canonical.com>  Fri, 21 Aug 2009 20:22:35 +0100

=== debian/control ===
Source: linux-backports-modules-2.6.28
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, coreutils, git-core, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.28-101-generic [i386 amd64], linux-headers-2.6.28-101-lpia [lpia], linux-headers-2.6.28-101-server [i386 amd64]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-jaunty-lbm.git

Package: linux-headers-lbm-2.6.28-101
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.28
 This package provides linux-ubuntu-modules header files for version 2.6.28, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-101/debian.README.gz for details

Package: linux-backports-modules-2.6.28-101-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-101-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-101-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-101-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-101/debian.README.gz for details

Package: linux-backports-modules-2.6.28-101-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-101-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-101-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-101-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-101/debian.README.gz for details

Package: linux-backports-modules-2.6.28-101-server
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.28-101-server
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.28 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.28 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-server meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.28-101-server
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.28-101-server
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.28
 This package provides linux-backports-modules header files for version 2.6.28, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.28-101/debian.README.gz for details
